
;-| Button Remapping |-----------------------------------------------------
; This section lets you remap the player's buttons (to easily change the
; button configuration). The format is:
;   old_button = new_button
; If new_button is left blank, the button cannot be pressed.
[Remap]
x = x
y = y
z = z
a = a
b = b
c = c
s = s

;-| Default Values |-------------------------------------------------------
[Defaults]
; Default value for the "time" parameter of a Command. Minimum 1.
command.time = 15

; Default value for the "buffer.time" parameter of a Command. Minimum 1,
; maximum 30.
command.buffer.time = 1



;-| ＣＰＵ判定用フラグ |--------------------------------------------------------
[Command]
name = "AI1"
command = D,D,D,F,F,F,a+b+c+x+y+z
time = 1

[Command]
name = "AI2"
command = D,D,D,F,F,U,a+b+c+x+y+z
time = 1

[Command]
name = "AI3"
command = D,D,D,F,F,UF,a+b+c+x+y+z
time = 1

[Command]
name = "AI4"
command = D,D,D,F,F,D,a+b+c+x+y+z
time = 1

[Command]
name = "AI5"
command = D,D,D,F,F,DF,a+b+c+x+y+z
time = 1

[Command]
name = "AI6"
command = D,D,D,F,F,B,a+b+c+x+y+z
time = 1

[Command]
name = "AI7"
command = D,D,D,F,F,DB,a+b+c+x+y+z
time = 1

[Command]
name = "AI8"
command = D,D,D,F,F,UB,a+b+c+x+y+z
time = 1

[Command]
name = "AI9"
command = D,D,D,F,U,F,a+b+c+x+y+z
time = 1

[Command]
name = "AI10"
command = D,D,D,F,UF,F,a+b+c+x+y+z
time = 1

[Command]
name = "AI11"
command = D,D,D,F,DF,F,a+b+c+x+y+z
time = 1

[Command]
name = "AI12"
command = D,D,D,F,D,F,a+b+c+x+y+z
time = 1

[Command]
name = "AI13"
command = D,D,D,F,DB,F,a+b+c+x+y+z
time = 1

[Command]
name = "AI14"
command = D,D,D,F,B,F,a+b+c+x+y+z
time = 1

[Command]
name = "AI15"
command = D,D,D,F,UB,F,a+b+c+x+y+z
time = 1

[Command]
name = "AI16"
command = D,D,D,F,F,F,a+b+c+x+y,z
time = 1

[Command]
name = "AI17"
command = D,D,D,F,F,F,a+b+c+x,y,z
time = 1

[Command]
name = "AI18"
command = D,D,D,F,F,F,a+b+c,x,y,z
time = 1

[Command]
name = "AI19"
command = D,D,D,F,F,F,a+b,c,x,y,z
time = 1

[Command]
name = "AI20"
command = D,D,D,F,F,F,a,b,c,x,y,z
time = 1

[Command]
name = "AI21"
command = D,D,D,F,F,F,a+b+c,x+y+z
time = 1

[Command]
name = "AI22"
command = D,D,D,F,F,U,a+b,c+x+y+z
time = 1

[Command]
name = "AI23"
command = D,D,D,F,F,UF,a,b+c+x+y+z
time = 1

[Command]
name = "AI24"
command = D,D,D,F,F,U,a+b,c+x+y+z
time = 1

[Command]
name = "AI25"
command = D,D,D,F,F,DF,a,b,c+x+y+z
time = 1

[Command]
name = "AI26"
command = D,D,D,F,F,B,a+b,c+x,y+z
time = 1

[Command]
name = "AI27"
command = D,D,D,F,F,DB,a,b+c+x,y+z
time = 1

[Command]
name = "AI28"
command = D,D,D,F,F,UB,a,b+c+x+y,z
time = 1

[Command]
name = "AI29"
command = DF,D,D,F,U,F,a+b+c+x+y+z
time = 1

[Command]
name = "AI30"
command = B,D,D,F,UF,F,a+b+c+x+y+z
time = 1

[Command]
name = "AI31"
command = B,B,BD,F,DF,F,a+b+c+x+y+z
time = 1

[Command]
name = "AI32"
command = D,F,F,F,D,F,a+b+c+x+y+z
time = 1

[Command]
name = "AI33"
command = DF,D,DF,UF,DB,F,a+b+c+x+y+z
time = 1

[Command]
name = "AI34"
command = D,D,D,F,DB,DF,a+b+c+x+y+z
time = 1

[Command]
name = "AI35"
command = D,D,UF,DF,UB,UF,a+b+c+x+y+z
time = 1

[Command]
name = "AI36"
command = D,DF,DF,DF,DF,F,a+b+c+x+y,z
time = 1

[Command]
name = "AI37"
command = D,D,DB,UF,DF,UF,a+b+c+x,y,z
time = 1

[Command]
name = "AI38"
command = F,U,F,F,F,F,a,b+c,x,y,z
time = 1

[Command]
name = "AI39"
command = DF,UF,D,DF,U,F,a+b,c+x,y,z
time = 1

[Command]
name = "AI40"
command = D,D,D,D,F,D,a+b,c,x,y+z
time = 1

[Command]
name = "AI41"
command = D,D,D,F,F,F,a+b+c+x+y+z,a
time = 1

[Command]
name = "AI42"
command = D,D,D,F,F,U,a+b+c+x+y+z,b
time = 1

[Command]
name = "AI43"
command = D,D,D,F,F,UF,a+b+c+x+y+z,c
time = 1

[Command]
name = "AI44"
command = D,D,D,F,F,D,a+b+c+x+y+z,x
time = 1

[Command]
name = "AI45"
command = D,D,D,F,F,DF,a+b+c+x+y+z,y
time = 1

[Command]
name = "AI46"
command = D,D,D,F,F,B,a+b+c+x+y+z,z
time = 1

[Command]
name = "AI47"
command = D,D,D,F,F,DB,a+b+c+x+y+z,a+b
time = 1

[Command]
name = "AI48"
command = D,D,D,F,F,UB,a+b+c+x+y+z,a+c
time = 1

[Command]
name = "AI49"
command = D,D,D,F,U,F,a+b+c+x+y+z,b+c
time = 1

[Command]
name = "AI50"
command = D,D,D,F,UF,F,a+b+c+x+y+z,x+z
time = 1

; for debug
[Command]
name = "AImanual"
command = s+a
time = 20



;-| 最終奥義 |--------------------------------------------------------



;-| 潜在奥義 |--------------------------------------------------------


;-| 超必殺技 |--------------------------------------------------------

; スペシウムビーム
[Command] 
name = "spec"
command = ~D, F, D, F, y
time = 30

; ウルトラバリアー
[Command] 
name = "baria"
command = ~D, F, D, F, x
time = 30

; アタック光線
[Command] 
name = "attack"
command = ~D, F, D, F, b
time = 30

;-| 必殺技 |--------------------------------------------------------------

[Command]
name = "DF_a"
command = ~D, F, a
time = 15

[Command]
name = "DF_b"
command = ~D, F, b
time = 15

[Command]
name = "DF_x"
command = ~D, F, x
time = 15

[Command]
name = "DF_y"
command = ~D, F, y
time = 15

[Command]
name = "FDF_b"
command = ~D, B, x
time = 15


;-| Double Tap |-----------------------------------------------------------
[Command]
name = "FF"     ;Required (do not remove)
command = F, F
time = 20

[Command]
name = "BB"     ;Required (do not remove)
command = B, B
time = 20

;-| 2/3 Button Combination |-----------------------------------------------
[Command]
name = "recovery";Required (do not remove)
command = x+y
time = 1

;-| Dir + Button |---------------------------------------------------------
[Command]
name = "down_a"
command = /$D,a
time = 1

[Command]
name = "down_b"
command = /$D,b
time = 1

;-| Single Button |---------------------------------------------------------
[Command]
name = "a"
command = a
time = 1

[Command]
name = "b"
command = b
time = 1

[Command]
name = "c"
command = c
time = 1

[Command]
name = "x"
command = x
time = 1

[Command]
name = "y"
command = y
time = 1

[Command]
name = "z"
command = z
time = 1

[Command]
name = "start"
command = s
time = 1

;-| Hold Dir |--------------------------------------------------------------
[Command]
name = "holdfwd";Required (do not remove)
command = /$F
time = 1

[Command]
name = "holdback";Required (do not remove)
command = /$B
time = 1

[Command]
name = "holdup" ;Required (do not remove)
command = /$U
time = 1

[Command]
name = "holddown";Required (do not remove)
command = /$D
time = 1




; Don't remove the following line. It's required by the CMD standard.
[Statedef -1]

;===========================================================================

;===========================================================================
;This is not a move, but it sets up var(1) to be 1 if conditions are right
;for a combo into a special move (used below).
;Since a lot of special moves rely on the same conditions, this reduces
;redundant logic.
[State -1, Combo condition Reset]
type = VarSet
trigger1 = 1
var(1) = 0

[State -1, Combo condition Check]
type = VarSet
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = (stateno = [200,299]) || (stateno = [400,499])
trigger2 = stateno != 440 ;Except for sweep kick
trigger2 = movecontact
var(1) = 1



;===========================================================================
;----------------------------------------------------------------------潜在


;===========================================================================
;----------------------------------------------------------------------超必殺

;　スペシウム
[State -1, Spec]
type = ChangeState
value = 3000
triggerall = var(50) = 0
triggerall = command = "spec"
triggerall = Numhelper(1) = 1
triggerall = helper(1),stateno = 1
triggerall = Numhelper(2) = 1
triggerall = helper(2),stateno = 2
triggerall = Numhelper(3) = 1
triggerall = helper(3),stateno = 3
triggerall = power >= 3000
trigger1 = statetype = S
trigger1 = ctrl

;　バリア
[State -1, Spec]
type = ChangeState
value = 2000
triggerall = var(50) = 0
triggerall = command = "baria"
triggerall = Numhelper(1) = 1
triggerall = helper(1),stateno = 1
triggerall = Numhelper(2) = 1
triggerall = helper(2),stateno = 2
triggerall = Numhelper(3) = 1
triggerall = helper(3),stateno = 3
triggerall = Numhelper(2005) = 0
triggerall = power >= 1000
trigger1 = statetype = S
trigger1 = ctrl

;　アタック光線
[State -1, Spec]
type = ChangeState
value = 2100
triggerall = var(50) = 0
triggerall = command = "attack"
triggerall = Numhelper(1) = 1
triggerall = helper(1),stateno = 1
triggerall = Numhelper(2) = 1
triggerall = helper(2),stateno = 2
triggerall = Numhelper(3) = 1
triggerall = helper(3),stateno = 3
triggerall = power >= 1000
trigger1 = statetype = S
trigger1 = ctrl

;===========================================================================
;-----------------------------------------------------------------------必殺

;　ボッコボコ
[State -1, Stand X]
type = ChangeState
value = 1000
triggerall = var(50) = 0
triggerall = command = "DF_x"
triggerall = Numhelper(1) = 1
triggerall = helper(1),stateno = 1
triggerall = Numhelper(2) = 1
triggerall = helper(2),stateno = 2
triggerall = Numhelper(3) = 1
triggerall = helper(3),stateno = 3
trigger1 = statetype = S
trigger1 = ctrl

;　マッハパンチ
[State -1, Stand X]
type = ChangeState
value = 1010
triggerall = var(50) = 0
triggerall = command = "DF_y"
triggerall = Numhelper(1) = 1
triggerall = helper(1),stateno = 1
triggerall = Numhelper(2) = 1
triggerall = helper(2),stateno = 2
triggerall = Numhelper(3) = 1
triggerall = helper(3),stateno = 3
trigger1 = statetype = S
trigger1 = ctrl

;　メテオハンマー
[State -1, Stand X]
type = ChangeState
value = 1100
triggerall = var(50) = 0
triggerall = command = "DF_a"
triggerall = Numhelper(1) = 1
triggerall = helper(1),stateno = 1
triggerall = Numhelper(2) = 1
triggerall = helper(2),stateno = 2
triggerall = Numhelper(3) = 1
triggerall = helper(3),stateno = 3
trigger1 = statetype = S
trigger1 = ctrl

;===========================================================================
;---------------------------------------------------------------------------

;---------------------------------------------------------------------------


;---------------------------------------------------------------------------


;---------------------------------------------------------------------------
;ダッシュ
[State -1, Run Fwd]
type = ChangeState
value = 100
triggerall = var(50) = 0
triggerall = command = "FF"
triggerall = Numhelper(1) = 1
triggerall = helper(1),stateno = 1
triggerall = Numhelper(2) = 1
triggerall = helper(2),stateno = 2
triggerall = Numhelper(3) = 1
triggerall = helper(3),stateno = 3
trigger1 = statetype = S
trigger1 = ctrl

;後退ダッシュ
[State -1, Run Back]
type = ChangeState
value = 105
triggerall = var(50) = 0
triggerall = command = "BB"
triggerall = Numhelper(1) = 1
triggerall = helper(1),stateno = 1
triggerall = Numhelper(2) = 1
triggerall = helper(2),stateno = 2
triggerall = Numhelper(3) = 1
triggerall = helper(3),stateno = 3
trigger1 = statetype = S
trigger1 = ctrl



;===========================================================================

;		基本攻撃

;===========================================================================
;---------------------------------------------------------------------------
;---------------------------------------------------------------------------
;　パンチ
[State -1, Stand X]
type = ChangeState
value = 210
triggerall = var(50) = 0
triggerall = command = "x"
triggerall = command != "holddown"
triggerall = Numhelper(1) = 1
triggerall = helper(1),stateno = 1
triggerall = Numhelper(2) = 1
triggerall = helper(2),stateno = 2
triggerall = Numhelper(3) = 1
triggerall = helper(3),stateno = 3
trigger1 = statetype = S
trigger1 = ctrl

;　でこピン
[State -1, Stand y]
type = ChangeState
value = 220
triggerall = var(50) = 0
triggerall = command = "y"
triggerall = command != "holddown"
triggerall = Numhelper(1) = 1
triggerall = helper(1),stateno = 1
triggerall = Numhelper(2) = 1
triggerall = helper(2),stateno = 2
triggerall = Numhelper(3) = 1
triggerall = helper(3),stateno = 3
trigger1 = statetype = S
trigger1 = ctrl

;　左ハンマー
[State -1, Stand a]
type = ChangeState
value = 230
triggerall = var(50) = 0
triggerall = command = "a"
triggerall = command != "holddown"
triggerall = Numhelper(1) = 1
triggerall = helper(1),stateno = 1
triggerall = Numhelper(2) = 1
triggerall = helper(2),stateno = 2
triggerall = Numhelper(3) = 1
triggerall = helper(3),stateno = 3
trigger1 = statetype = S
trigger1 = ctrl

;　ビンタ
[State -1, Stand a]
type = ChangeState
value = 240
triggerall = var(50) = 0
triggerall = command = "b"
triggerall = command != "holddown"
triggerall = Numhelper(1) = 1
triggerall = helper(1),stateno = 1
triggerall = Numhelper(2) = 1
triggerall = helper(2),stateno = 2
triggerall = Numhelper(3) = 1
triggerall = helper(3),stateno = 3
trigger1 = statetype = S
trigger1 = ctrl
